changeset 762:04d591e5ac1c

Adapted the release build scripts for the next version number, the change Japanese mnemonic and the subdirs within the src dir. git-svn-id: svn://svn.code.sf.net/p/universalindent/code/trunk@1039 59b1889a-e5ac-428c-b0c7-476e01d41282
author thomas_-_s <thomas_-_s@59b1889a-e5ac-428c-b0c7-476e01d41282>
date Tue, 12 Apr 2011 22:19:28 +0000
parents c6d54610983b
children 7421ad080051
files buildPackage.sh buildRelease.sh
diffstat 2 files changed, 17 insertions(+), 7 deletions(-) [+]
line wrap: on
line diff
--- a/buildPackage.sh	Tue Apr 12 21:09:30 2011 +0000
+++ b/buildPackage.sh	Tue Apr 12 22:19:28 2011 +0000
@@ -3,9 +3,9 @@
 # Call this script to create the source code archive.
 ./buildRelease.sh
 
-sourcedirname=universalindentgui-1.1.0
+sourcedirname=universalindentgui-1.2.0
 sourcefilename=$sourcedirname.tar.gz
-sourcefilenameorig=universalindentgui_1.1.0.orig.tar.gz
+sourcefilenameorig=universalindentgui_1.2.0.orig.tar.gz
 
 targetDir=packaging
 
@@ -89,8 +89,8 @@
 rm -Rfv .svn
 echo ""
 
-echo "Creating the debian source package"
-echo "----------------------------------"
+echo "Creating the debian source package (devscripts and quilt needed)"
+echo "----------------------------------------------------------------"
 debuild -S -us -uc
 echo ""
 
--- a/buildRelease.sh	Tue Apr 12 21:09:30 2011 +0000
+++ b/buildRelease.sh	Tue Apr 12 22:19:28 2011 +0000
@@ -50,7 +50,7 @@
 # Configuration
 # -------------
 #TODO: get version from source code file.
-version=1.1.1
+version=1.2.0
 doSVNUpdate=false
 
 
@@ -184,7 +184,7 @@
     echo "ERROR: Could not update file \"universalindent.ts\"!"
     exit 1
 fi
-languages="de fr ja_jp ru uk zh_TW"
+languages="de fr ja ru uk zh_TW"
 for i in $languages
 do
     lupdate src -ts ./translations/universalindent_$i.ts &> /dev/null
@@ -214,11 +214,21 @@
     echo "ERROR: Could not copy dir \"resources\"!"
     exit 1
 fi
-cp ./src/* ./$targetDir/src/ &> /dev/null
+cp -R ./src/* ./$targetDir/src/ &> /dev/null
 if [ $? -gt 0 ]; then
     echo "ERROR: Could not copy dir \"src\"!"
     exit 1
 fi
+# wait until the files have been really extracted
+while [ ! -f "./$targetDir/src/UniversalIndentGUI_NPP/UniversalIndentGUI_NPPDialog.rc" ]
+do
+    sleep 1
+done
+rm -Rf ./$targetDir/src/UniversalIndentGUI_NPP &> /dev/null
+if [ $? -gt 0 ]; then
+    echo "ERROR: Could not delete dir \"UniversalIndentGUI_NPP\"!"
+    exit 1
+fi
 # Deleting backup files
 rm ./$targetDir/src/*.*~ &> /dev/null
 echo "Done"